#ifndef __VPCALC_DEBUG_H
#define __VPCALC_DEBUG_H

#define _err_report(...)	debug_err(VPCALC_SECTION, VPCALC_SUBSECT, __VA_ARGS__)
#define _warn_report(...)	debug_warn(VPCALC_SECTION, VPCALC_SUBSECT, __VA_ARGS__)
#define _report(...)	debug_report(VPCALC_SECTION, VPCALC_SUBSECT, __VA_ARGS__)

int debug_err(const char *section, const char *subsect, const char *msg, ...);
int debug_warn(const char *section, const char *subsect, const char *msg, ...);
int debug_report(const char *section, const char *subsect, const char *msg, ...);

#endif
